Coming Error in Wicket 6.1.1 during Migration from 1.5.6

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Coming Error in Wicket 6.1.1 during Migration from 1.5.6

Nitin khandelwal
in these days i am migrating one my wicket project  from 1.5.6 to wicket 6.1.1 stable.

for that i have download stable release and remove all compile time errors but now when i run the project i get following error:

java.lang.NoClassDefFoundError: javax/inject/Inject
        at org.apache.wicket.spring.injection.annot.AnnotProxyFieldValueFactory.supportsField(AnnotProxyFieldValueFactory.java:304)




i am using spring 2.5.6 version and wicket 6.1.1